﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.User.ApplicationUserEditViewModel
@inject IViewLocalizer Localizer
@{
    ViewData["Title"] = "Edit";
}


<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">
        
    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-6">
            <div class="ibox">
                <div class="ibox-title">
                    <a asp-action="Index">@Localizer["BackToList"]</a>
                </div>
                <div class="ibox-content">
                    <form class="m-t" role="form" action="@Url.Action("Edit", "User" )" method="post">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                        <div class="form-group">
                            <label asp-for="FirstName" class="control-label"></label>
                            <input asp-for="FirstName" class="form-control" />
                            <span asp-validation-for="FirstName" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="LastName" class="control-label"></label>
                            <input asp-for="LastName" class="form-control" />
                            <span asp-validation-for="LastName" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Email" class="control-label"></label>
                            <input asp-for="Email" class="form-control" />
                            <span asp-validation-for="Email" class="text-danger"></span>
                        </div>
                        @if (!string.IsNullOrWhiteSpace(Model.Username))
                        {
                            <div class="form-group">
                                <label asp-for="Username" class="control-label"></label>
                                <input asp-for="Username" class="form-control" disabled="disabled" />
                            </div>
                        }
                        else
                        {
                            <div class="form-group">
                                <label asp-for="Password" class="control-label"></label>
                                <input asp-for="Password" class="form-control" />
                                <span asp-validation-for="Password" class="text-danger"></span>
                            </div>
                        }

                        <div class="form-group">
                            <button id="submitSave" type="submit" class="btn btn-success block full-width m-b">@Localizer["LblSave"]</button>
                        </div>

                        <input asp-for="Id" type="hidden" />
                    </form>
                </div>
            </div>
        </div>

    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
